package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterRainfallMonitoringStation;
import com.lightinit.hsdatashow.entity.StWaterRainfallMonitoringStationExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StWaterRainfallMonitoringStationMapper {
    long countByExample(StWaterRainfallMonitoringStationExample example);

    int deleteByExample(StWaterRainfallMonitoringStationExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterRainfallMonitoringStation record);

    int insertSelective(StWaterRainfallMonitoringStation record);

    List<StWaterRainfallMonitoringStation> selectByExample(StWaterRainfallMonitoringStationExample example);

    StWaterRainfallMonitoringStation selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterRainfallMonitoringStation record, @Param("example") StWaterRainfallMonitoringStationExample example);

    int updateByExample(@Param("record") StWaterRainfallMonitoringStation record, @Param("example") StWaterRainfallMonitoringStationExample example);

    int updateByPrimaryKeySelective(StWaterRainfallMonitoringStation record);

    int updateByPrimaryKey(StWaterRainfallMonitoringStation record);
}